#
# spec file for package ib-bonding (Version 0.9.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           ib-bonding
Url:            http://www.openfabrics.org
Summary:        infiniband bonding tool
Version:        0.9.0
Release:        1.19
Source0:        %{name}-%{version}.tar.bz2
Source1:        README
Source2:        conf.sysconfig
Group:          System/Console
License:        GPL v2 only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  kernel-source kernel-syms module-init-tools
PreReq:         %fillup_prereq
%suse_kernel_module_package um xen xenpae

%description
This package provides a bonding tool which is capable of enslaving IP
over InfiniBand (IPoIB) network devices.



%debug_package
%package 	KMP
License:        GPL v2 only
Summary:        infiniband bonding tool
Group:          System/Console

%description KMP
This package provides a bonding tool which is capable of enslaving IP
over InfiniBand (IPoIB) network devices.



%prep
%setup -q
set -- *
mkdir source
mv "$@" source/
mkdir obj
cp %{S:1} %{S:2} .
cd source/linux
rm -rf drivers/net/bonding
cp -a /usr/src/linux/drivers/net/bonding drivers/net/bonding
for i in `cat ../patches/fixes/series` ; do
patch -p1 < ../patches/fixes/$i
done
: > ../patches/backports/sles10/series

%build
%define kver %(echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' kernel-source`|sed 's/_/-/g;')
for flavor in %flavors_to_build; do
    rm -rf obj/$flavor
    cp -ar source obj/$flavor
    pushd obj/$flavor/linux
    ./configure --kernel-version %kver-$flavor
    make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
      M=$PWD/drivers/net/bonding
    popd
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates/drivers/net/bonding
for flavor in %flavors_to_build; do
     make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
        M=$PWD/obj/$flavor/linux/drivers/net/bonding
done
# install the ib-bond script
install -d ${RPM_BUILD_ROOT}%_bindir/
sed 's/VERSION=/VERSION=%{version}/g; s/RELEASE=/RELEASE=%{release}/g' source/bin/ib-bond > ${RPM_BUILD_ROOT}%_bindir/ib-bond
chmod 755  ${RPM_BUILD_ROOT}%_bindir/ib-bond
# install the sysconfig configuration
install -m 700 -D conf.sysconfig ${RPM_BUILD_ROOT}/var/adm/fillup-templates/sysconfig.infiniband-%name

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{fillup_only -an infiniband}

%files
%defattr(-, root, root)
%doc source/docs/ib-bonding.txt README
%_bindir/ib-bond
/var/adm/fillup-templates/sysconfig.infiniband-%name

%changelog
* Thu Aug 09 2007 - ro@suse.de
- build using source from kernel and patches/fixes on top
* Mon Jul 23 2007 - hvogel@suse.de
- Fix sysconfig filename
* Thu Jul 12 2007 - hvogel@suse.de
- move the kernel modules to the right directory
* Thu Jul 12 2007 - hvogel@suse.de
- Add GPL v2 LICENSE files [#291345]
* Wed Jul 11 2007 - hvogel@suse.de
- Put configuration into the infiniband sysconfig file
* Wed Jul 11 2007 - hvogel@suse.de
- Initial Package, Version 0.9.0
